Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class FileRenameEvent

    java.lang.Object
      java.util.EventObject
          org.openide.filesystems.FileEvent
              org.openide.filesystems.FileRenameEvent

All Implemented Interfaces:
  Serializable

    public class FileRenameEvent

extends FileEvent

Event indicating a file rename.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FileRenameEvent(FileObject src, FileObject file, String name, String ext)` Creates new `FileRenameEvent`, specifying an event location.
`FileRenameEvent(FileObject src, FileObject file, String name, String ext, boolean expected)` Creates new `FileRenameEvent`, specifying an event location and whether the event was expected by the system.
`FileRenameEvent(FileObject src, String name, String ext)` Creates new `FileRenameEvent`.

Method Summary
`String` | `getExt()` Get original extension of the file.
`String` | `getName()` Get original name of the file.

Methods inherited from class org.openide.filesystems.FileEvent
`firedFrom, getFile, getTime, isExpected, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileRenameEvent

    public FileRenameEvent(FileObject src,
                           String name,
                           String ext)

  Creates new `FileRenameEvent`. The `FileObject` where the action took place is assumed to be the same as the source object.

  Parameters:
    `src` - source file which sent this event
    `name` - original file name
    `ext` - original file extension

### FileRenameEvent

    public FileRenameEvent(FileObject src,
                           FileObject file,
                           String name,
                           String ext)

  Creates new `FileRenameEvent`, specifying an event location.

  Parameters:
    `src` - source file which sent this event
    `file` - file object where the action took place
    `name` - original file name
    `ext` - original file extension

### FileRenameEvent

    public FileRenameEvent(FileObject src,
                           FileObject file,
                           String name,
                           String ext,
                           boolean expected)

  Creates new `FileRenameEvent`, specifying an event location and whether the event was expected by the system.

  Parameters:
    `src` - source file which sent this event
    `file` - file object where the action took place
    `name` - original file name
    `ext` - original file extension
    `expected` - whether the value was expected

Method Detail

### getName

    public String getName()

  Get original name of the file.

  Returns:
    old name of the file

### getExt

    public String getExt()

  Get original extension of the file.

  Returns:
    old extension of the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.